// JScript 文件

//含有非法字符~!@%^&*();'\"?><[]{}\\|,:/=+—“”‘
function havegg(elem)
{
    var str = "~!@%^&*();'\"?><[]{}\\|,:/=+—“”‘";
    for(i=0;i<elem.length;i++)
    {
        if (str.indexOf(elem.charAt(i)) !=-1)
        {
            return false;
        }
    }
    return true;
}
//检查身份证
function checkIDCard (str)     
{   //身份证正则表达式(15位)     
   isIDCard1=/^[1-9]\d{7}((0\d)|(1[0-2]))(([0|1|2]\d)|3[0-1])\w{3}$/;   
    //身份证正则表达式(18位)   
   isIDCard2=/^[1-9]\d{5}[1-9]\d{3}((0\d)|(1[0-2]))(([0|1|2]\d)|3[0-1])\w{4}$/;   
    //验证身份证，返回结果     
  return   (str.match(isIDCard1)||str.match(isIDCard2)); 
}

//邮政编码
//要求:无地区规律,但都是6位数字,最大值为(西藏拉萨850000),最小值为(呼和浩特010000)
function isPost(elem)
{
    var pattern=/^[0-9]{6}$/;
    if(!pattern.test(elem))
    {
        return false;
    }
    else
    {
        /*if(parseInt(elem)<10000||parseInt(elem)>850000)
        {
            return false;
        }*/
        return true;
    }
}

//移动电话(手机）
//样式:13531214732或013531214732或158(9)12546587
function isMoveTel(elem)
{
  var pattern=/^0{0,1}1[3-5][0-9]{9}$/;
  if(pattern.test(elem))
  {
      return true;
  }
  else
  {
      return false;
  }
}
//固定电话(小灵通。。。。家庭电话)
function isFixTel(elem)
{
  var pattern=/(^[0-9]{3,4}\-[0-9]{3,8}$)|(^[0-9]{3,8}$)|(^\([0-9]{3,4}\)[0-9]{3,8}$)/;
  if(pattern.test(elem))
  {
      return true;
  }
  else
  {
      return false;
  }
}

//检查电子邮件
//$email =~ /^([a-zA-Z0-9_-])+@([a-zA-Z0-9_-])+(.[a-zA-Z0-9_-])+/
function isEmail(s)
{
    var regu = "^(([0-9a-zA-Z]+)|([0-9a-zA-Z]+[_.0-9a-zA-Z-]*[0-9a-zA-Z]+))@([a-zA-Z0-9-]+[.])+([a-zA-Z]{2}|net|NET|com|COM|gov|GOV|mil|MIL|org|ORG|edu|EDU|int|INT)$"
    var re = new RegExp(regu);
    if(s.search(re) != -1)
    {
	    return true;
    }
    else
    {
	  return false;
	}
 }
 
//判断数字字符，不包含小数点。
function isFigStr(elem)
{
  var pattern=/^\d+$/;
  if(!pattern.test(elem)){
      return false;
  }
  else{
      return true;
  }
}

//判断是否为数字
function isNumber(oNum){
  if(!oNum) return false;
  var strP=/^\d+(\.\d+)?$/;
  if(!strP.test(oNum)) return false;
  try{
  if(parseFloat(oNum)!=oNum) return false;
  }
  catch(ex)
  {
   return false;
  }
  return true;
}

//检查时间格式
String.prototype.isTime = function()
{
  var r = this.match(/^(\d{1,4})(-|\/)(\d{1,2})\2(\d{1,2}) (\d{1,2}):(\d{1,2}):(\d{1,2})$/); 
  if(r==null)return false; var d = new Date(r[1], r[3]-1,r[4],r[5],r[6],r[7]); 
  return (d.getFullYear()==r[1]&&(d.getMonth()+1)==r[3]&&d.getDate()==r[4]&&d.getHours()==r[5]&&d.getMinutes()==r[6]&&d.getSeconds()==r[7]);
}
//检查用户登陆
function loginClick(){
        var username = document.getElementById("D_UserName");
        var password = document.getElementById("D_PassWord");
        if(username.value.trim() == ""){
            alert("请输入用户名称！");
            loginForm.D_UserName.focus();
            return;
        }
        if(password.value.trim() == ""){
            alert("请输入密码！");
            loginForm.D_PassWord.focus();
            return;
        }
        if(username.value != "" && password.value != ""){
            document.getElementById("Dusername").value = username.value;
            document.getElementById("Dpassword").value = password.value;
            document.getElementById("loginForm").submit();            
        }
    }
    
    //检查时间格式
 function   isDate(str){   
  var   s   =new   String();   
          var   pattern=/年|月|日|\.|[/]/g;   
          s=   str.replace(pattern,"-");   
            
          var   ss=s.split("-");   
          var   year,month,day;   
          if(ss.length<3){     //             alert("输入出错，输入格式为2004-4-5");         
                  return   false;   
          }   
          if(!(/^([0-9][0-9])$|^(19[0-9][0-9]|20[0-9][0-9])$/.test(ss[0]))){//   alert("年出错,请输入1900-2050之间的年数字");   
                    return   false;   
          }   
          if(!(/^((0[1-9])|[1-9]|10|11|12)$/.test(ss[1]))){//           alert("月份出错");   
                    return   false;   
          }   
  year=parseInt(ss[0]);   
    
  month=parseInt(ss[1]);   
                      
          if(isNaN(parseInt(ss[2])))   
                  return   false;   
          else   
                  day=parseInt(ss[2]);   
          var   max;   
          if(month   ==2){   
                  max=28;   
                  if(((year%10==0)&&(year%40==0))   ||   ((year%10!=0)&&(year%4==0)))   //判断是否闰年   
                          max=29;   
          }   
          else   if((month   ==4)   ||   (month   ==6)   ||   (max==9)   ||   (month   ==11))   
                  max=30;   
          else   
                  max   =   31;   
          if(day<1   ||   day>max){   //         alert("日期出错,请输入范围为1-"+max+"内的整数");   
                  return   false;   
          }   
          return   year+"-"+month+"-"+day;   
  }